package com.kiisoo.ic.synchronous.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * @ClassName: WxDataDTO
 * @Description:
 * @Auther: Caps
 * @Date: 2020/4/23 0023 10:10
 * @Version:
 */
public class WxDataDTO {

    /**
     * unit_id
     */
    @JsonProperty(value = "union_id")
    private String unionId;

    /**
     * open_id
     */
    @JsonProperty(value = "open_id")
    private String openId;

    /**
     * user_id
     */
    @JsonProperty(value = "user_id")
    private String userId;

    /**
     * 	微信头像
     */
    @JsonProperty(value = "avatar_url")
    private String avatarUrl;

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    @Override
    public String toString() {
        return "WxDataDTO{" +
                "unionId='" + unionId + '\'' +
                ", openId='" + openId + '\'' +
                ", userId='" + userId + '\'' +
                ", avatarUrl='" + avatarUrl + '\'' +
                '}';
    }
}
